Bug 854362 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:dd7a2aec353ca62a9b6bbd998c8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 14:12 EDT by joey10946
Modified: 2013-08-01 15:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-09-04 14:13 EDT, joey10946
no flags Details
File: xorg.conf (111 bytes, text/plain)
2012-09-04 14:13 EDT, joey10946
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (491 bytes, text/plain)
2012-09-04 14:13 EDT, joey10946
no flags Details

  None (edit)
Description joey10946 2012-09-04 14:12:59 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.2-3.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514ab]
:2: /usr/bin/Xorg (0x400000+0x47f02) [0x447f02]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f2e74a87000+0x60e4) [0x7f2e74a8d0e4]
:4: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
:5: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
:6: /lib64/libpthread.so.0 (0x3bd1a00000+0xefe0) [0x3bd1a0efe0]
:7: /usr/bin/Xorg (0x400000+0x6ab70) [0x46ab70]
:8: /lib64/libpthread.so.0 (0x3bd1a00000+0xefe0) [0x3bd1a0efe0]
:9: /lib64/libc.so.6 (strchrnul+0x1a) [0x3bd168f57a]
:10: /lib64/libc.so.6 (_IO_vfprintf+0xa0) [0x3bd1646760]
:11: /lib64/libc.so.6 (__vsnprintf_chk+0xb0) [0x3bd1706d20]
:12: /usr/bin/Xorg (Xvscnprintf+0x2a) [0x4700da]
:13: /usr/bin/Xorg (LogVMessageVerb+0x67) [0x469627]
:14: /usr/bin/Xorg (ErrorF+0x8c) [0x468fec]
:15: /usr/bin/Xorg (mieqProcessInputEvents+0x1d2) [0x551ad2]
:16: /usr/bin/Xorg (ProcessInputEvents+0x9) [0x480809]
:17: /usr/bin/Xorg (0x400000+0x341bc) [0x4341bc]
:18: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:19: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3bd1621735]
:20: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 joey10946 2012-09-04 14:13:03 EDT
Created attachment 609756 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 joey10946 2012-09-04 14:13:05 EDT
Created attachment 609757 [details]
File: xorg.conf
Comment 3 joey10946 2012-09-04 14:13:08 EDT
Created attachment 609758 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 "FeRD" (Frank Dana) 2012-09-14 06:34:40 EDT
"Xorg server crashed"? Erm, not only do I not know how this was caused, it doesn't SEEM to be true. Gnome Shell toasted up an abrt message claiming there was a problem, and this window is titled "Xorg server crashed"... but I'm sitting here, still in Gnome Shell, still happily chugging along.

Aha! Found this backtrace at the end of /var/log/Xorg.0.log. In light of which, all I can say is:
* no idea what caused the backtrace
* nothing unusual about my input setup (laptop with external USB mouse, keyboard)
* nothing atypical was occurring input-wise, at the time of the "crash"

The machine WAS completing a yum install (nothing driver- or X-related, just eclipse and dependencies), and was getting rather sluggish, so maybe it was a simple case of resource contention. *shrug*

[508618.854] [mi] EQ overflowing.  Additional events will be discarded until existing events are processed.
[508619.078] 
[508619.078] Backtrace:
[508619.941] 0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
[508619.941] 1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514ab]
[508619.941] 2: /usr/bin/Xorg (0x400000+0x47f02) [0x447f02]
[508619.961] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f8d64d92000+0x60e4) [0x7f8d64d980e4]
[508619.961] 4: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
[508619.961] 5: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
[508619.961] 6: /lib64/libpthread.so.0 (0x3f7f000000+0xefe0) [0x3f7f00efe0]
[508619.961] 7: /usr/bin/Xorg (0x400000+0x6ab70) [0x46ab70]
[508619.961] 8: /lib64/libpthread.so.0 (0x3f7f000000+0xefe0) [0x3f7f00efe0]
[508619.961] 9: /lib64/libc.so.6 (strchrnul+0x1a) [0x3f7e88f57a]
[508619.961] 10: /lib64/libc.so.6 (_IO_vfprintf+0xa0) [0x3f7e846760]
[508619.961] 11: /lib64/libc.so.6 (__vsnprintf_chk+0xb0) [0x3f7e906d20]
[508619.961] 12: /usr/bin/Xorg (Xvscnprintf+0x2a) [0x4700da]
[508619.961] 13: /usr/bin/Xorg (LogVMessageVerb+0x67) [0x469627]
[508619.961] 14: /usr/bin/Xorg (ErrorF+0x8c) [0x468fec]
[508619.961] 15: /usr/bin/Xorg (mieqProcessInputEvents+0x1d2) [0x551ad2]
[508619.961] 16: /usr/bin/Xorg (ProcessInputEvents+0x9) [0x480809]
[508619.961] 17: /usr/bin/Xorg (0x400000+0x34102) [0x434102]
[508619.961] 18: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
[508619.961] 19: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3f7e821735]
[508619.961] 20: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
[508619.961] 
[508619.961] [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
[508619.961] [mi] mieq is *NOT* the cause.  It is a victim.
[508619.961] [mi] Increasing EQ size to 512 to prevent dropped events.
[508620.336] [mi] EQ processing has resumed after 31 dropped events.
[508620.336] [mi] This may be caused my a misbehaving driver monopolizing the server's resources.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Hector 2012-09-25 12:13:46 EDT
i just reboot the system because freeze.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Adam Jackson 2012-10-18 17:50:07 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 7 Adam Jackson 2012-10-18 17:50:25 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 8 Benjamin Delibasic 2012-10-28 06:46:01 EDT
Happened shortly after exiting GIMP2.8. The system slowed to a halt, then returned back to normal.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Fedora End Of Life 2013-07-04 03:18:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 15:17:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.